import * as React from 'react';
interface IProps {
    header: string | React.ReactNode | React.ReactChild;
    content: string | React.ReactNode | React.ReactChild;
    labels?: string | React.ReactNode | React.ReactChild;
    click: (e?: any) => any;
    active: boolean | number;
    automatic?: boolean;
    activeIndex: null | number;
}
interface IState {
    initialHeight: number;
    active: boolean | number;
}
export default class WrapperAccordion extends React.Component<IProps, IState> {
    accordionRef: React.RefObject<{}>;
    state: {
        initialHeight: number;
        active: boolean;
    };
    componentDidMount(): void;
    onToggle: () => void;
    isAutomatic: () => boolean;
    isActive: () => boolean;
    render: () => JSX.Element;
}
export {};
