"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Default_1 = require("./components/Default");
var Info_1 = require("./components/Info");
var BigAttention_1 = require("./components/BigAttention");
var Attention_1 = require("./components/Attention");
var Warning_1 = require("./components/Warning");
var Refused_1 = require("./components/Refused");
var Accepted_1 = require("./components/Accepted");
var Custom_1 = require("./components/Custom");
var alertsFlagsComponentsMap = new Map()
    .set('default', function (props) { return React.createElement(Default_1.default, __assign({}, props)); })
    .set('info', function (props) { return React.createElement(Info_1.default, __assign({}, props)); })
    .set('big-attention', function (props) { return React.createElement(BigAttention_1.default, __assign({}, props)); })
    .set('attention', function (props) { return React.createElement(Attention_1.default, __assign({}, props)); })
    .set('warning', function (props) { return React.createElement(Warning_1.default, __assign({}, props)); })
    .set('refused', function (props) { return React.createElement(Refused_1.default, __assign({}, props)); })
    .set('accepted', function (props) { return React.createElement(Accepted_1.default, __assign({}, props)); })
    .set('custom', function (props) { return React.createElement(Custom_1.default, __assign({}, props)); });
exports.default = (function (_a) {
    var variation = _a.variation, props = __rest(_a, ["variation"]);
    return alertsFlagsComponentsMap
        .get(variation || 'default')(props) || null;
});
//# sourceMappingURL=AlertFlag.js.map