"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var Wrapper = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  border: 1px solid ", ";\n  display: flex;\n"], ["\n  border: 1px solid ", ";\n  display: flex;\n"])), function (_a) {
    var color = _a.color;
    return color;
});
var IconWrapper = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  border-right: 1px solid ", ";\n  padding: 10px;\n"], ["\n  border-right: 1px solid ", ";\n  padding: 10px;\n"])), function (_a) {
    var color = _a.color;
    return color;
});
var ChildWrapper = styled_components_1.default.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  padding-top: 10px;\n  padding-left: 16px;\n"], ["\n  padding-top: 10px;\n  padding-left: 16px;\n"])));
exports.default = (function (_a) {
    var children = _a.children, color = _a.color, icon = _a.icon, props = __rest(_a, ["children", "color", "icon"]);
    return (React.createElement(Wrapper, __assign({ color: color }, props),
        icon && (React.createElement(IconWrapper, { color: color }, icon)),
        React.createElement(ChildWrapper, null, children)));
});
var templateObject_1, templateObject_2, templateObject_3;
//# sourceMappingURL=Custom.js.map