"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var styled_components_1 = require("styled-components");
var Colors_1 = require("../Colors");
var TextHelper_1 = require("../TextHelper");
exports.Navigation = styled_components_1.default.nav(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  background-color: ", ";\n  text-align: center;\n  position: sticky;\n  z-index: 1;\n  top: 0;\n  transition: all 0.6s cubic-bezier(0.165, 0.84, 0.44, 1);\n\n  ", "\n\n  @media screen and (max-width: 768px) {\n    white-space: nowrap;\n    overflow-x: auto;\n    -webkit-overflow-scrolling: touch;\n    -ms-overflow-style: -ms-autohiding-scrollbar;\n\n    &::-webkit-scrollbar {\n      display: none;\n    }\n  }\n\n  ul {\n    margin: 0;\n    padding: 0;\n  }\n\n  li {\n    display:inline-block;\n\n    &:nth-child(2) {\n      margin:0 20px;\n    }\n\n    a {\n      text-decoration: none;\n      font-family: ", ";\n      color: ", ";\n      padding: 20px 20px;\n      display: inherit;\n\n      @media screen and (max-width: 768px) {\n        padding: 20px 11px;\n      }\n\n      &:hover, &.active {\n        color: ", ";\n      }\n    }\n  }\n"], ["\n  background-color: ", ";\n  text-align: center;\n  position: sticky;\n  z-index: 1;\n  top: 0;\n  transition: all 0.6s cubic-bezier(0.165, 0.84, 0.44, 1);\n\n  ", "\n\n  @media screen and (max-width: 768px) {\n    white-space: nowrap;\n    overflow-x: auto;\n    -webkit-overflow-scrolling: touch;\n    -ms-overflow-style: -ms-autohiding-scrollbar;\n\n    &::-webkit-scrollbar {\n      display: none;\n    }\n  }\n\n  ul {\n    margin: 0;\n    padding: 0;\n  }\n\n  li {\n    display:inline-block;\n\n    &:nth-child(2) {\n      margin:0 20px;\n    }\n\n    a {\n      text-decoration: none;\n      font-family: ", ";\n      color: ", ";\n      padding: 20px 20px;\n      display: inherit;\n\n      @media screen and (max-width: 768px) {\n        padding: 20px 11px;\n      }\n\n      &:hover, &.active {\n        color: ", ";\n      }\n    }\n  }\n"])), Colors_1.default.urbanSky, function (_a) {
    var axisZ = _a.axisZ;
    return axisZ && "box-shadow: 0 0px 16px 7px rgba(0,0,0,0.1);";
}, TextHelper_1.default.fontVariant('medium'), Colors_1.default.support, Colors_1.default.mongeral);
exports.Smooth = styled_components_1.createGlobalStyle(templateObject_2 || (templateObject_2 = __makeTemplateObject(["html { scroll-behavior: smooth; }"], ["html { scroll-behavior: smooth; }"])));
var templateObject_1, templateObject_2;
//# sourceMappingURL=Anchor.styled.js.map