"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Checkbox_styled_1 = require("./Checkbox.styled");
exports.default = React.memo(function (_a) {
    var id = _a.id, label = _a.label, props = __rest(_a, ["id", "label"]);
    return (React.createElement(React.Fragment, null,
        React.createElement(Checkbox_styled_1.CheckBox, __assign({ id: id }, props)),
        React.createElement(Checkbox_styled_1.Label, { htmlFor: id },
            React.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 20", className: "check" },
                React.createElement("polyline", { points: "1.5 11.3 10.7 18 22.5 2" })),
            label)));
});
//# sourceMappingURL=Checkbox.js.map