import * as React from 'react';
interface IProps {
}
interface IState {
    year: number;
    month: number;
    day: number;
    dayOfTheWeek: number;
    active: boolean;
    input: string;
    inValid: boolean | string;
}
export default class extends React.PureComponent<IProps, IState> {
    state: {
        year: number;
        month: number;
        day: number;
        dayOfTheWeek: number;
        active: boolean;
        input: string;
        inValid: boolean;
    };
    increaseYear: () => void;
    decreaseYear: () => void;
    setCorrectDateDigit: (digit: number) => React.ReactText;
    dateValue: ({ currentTarget: { value } }: any) => number;
    setValue: (e: (event: React.SyntheticEvent<HTMLButtonElement, Event>) => void, i: number) => void;
    onClose: (active: boolean) => void;
    onChangeMonth: (event: any) => void;
    onChangeYear: (event: any) => void;
    onChangeInput: (value: string) => void;
    isInvalidDate: () => void;
    render(): JSX.Element;
}
export {};
