"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var R = require("ramda");
var days_1 = require("../utils/days");
var DatePicker_styled_1 = require("../DatePicker.styled");
exports.default = (function (_a) {
    var year = _a.year, month = _a.month, day = _a.day, onClick = _a.onClick, selectedDayWeek = _a.selectedDayWeek;
    var firstDay = new Date(year, month, 1);
    var lastDay = new Date(year, month + 1, 0);
    var offset = firstDay.getDay();
    var dayCount = 0;
    var isActive = function (condition, dayWeek) {
        if (condition) {
            selectedDayWeek(dayWeek);
            return true;
        }
        return false;
    };
    return (React.createElement(DatePicker_styled_1.WrapperTable, null,
        React.createElement("thead", null,
            React.createElement(DatePicker_styled_1.DaysRow, null, days_1.DAYS.map(function (day) { return React.createElement("td", { key: Math.random() }, day); }))),
        React.createElement("tbody", null, R.range(0, 6).map(function () { return (React.createElement("tr", { key: Math.random() }, R.range(0, 7).map(function (e, i) {
            if (offset === 0) {
                if (dayCount >= lastDay.getDate()) {
                    return null;
                }
                dayCount++;
                return (React.createElement(DatePicker_styled_1.DaysColumn, { active: isActive(dayCount === day, i), key: Math.random() },
                    React.createElement("button", { value: dayCount, type: 'button', onClick: function (e) { return onClick(e, i); } }, dayCount)));
            }
            offset--;
            return React.createElement(DatePicker_styled_1.DaysColumn, { active: false, key: Math.random() }, "\u00A0");
        }))); }))));
});
//# sourceMappingURL=Calendar.js.map