"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Icons_1 = require("../../Icons");
var WinterIcon = function () { return React.createElement(Icons_1.default.Winter, { css: "width: 60px" }); };
var AutumnIcon = function () { return React.createElement(Icons_1.default.Autumn, { css: "width: 60px" }); };
var SummerIcon = function () { return React.createElement(Icons_1.default.Summer, { css: "width: 60px" }); };
var SpringIcon = function () { return React.createElement(Icons_1.default.Spring, { css: "width: 60px" }); };
exports.SEASONS = [
    {
        id: 0,
        name: 'Outono',
        includeMonths: [2, 3, 4],
        icon: React.createElement(AutumnIcon, null)
    },
    {
        id: 1,
        name: 'Inverno',
        includeMonths: [5, 6, 7],
        icon: React.createElement(WinterIcon, null)
    },
    {
        id: 2,
        name: 'Primaveira',
        includeMonths: [8, 9, 10],
        icon: React.createElement(SpringIcon, null)
    },
    {
        id: 3,
        name: 'Verão',
        includeMonths: [11, 0, 1],
        icon: React.createElement(SummerIcon, null)
    },
];
//# sourceMappingURL=seasons.js.map