import * as React from 'react';
interface IProps {
    onChange: (event?: any) => any;
    children?: React.ReactNode;
    header?: string;
    items: [{
        value?: string;
        label?: string;
        disabled?: boolean;
        id?: any;
    }];
    loading?: boolean;
    single?: boolean;
    selecteds: [{
        value?: string;
    }];
}
interface IState {
    isActive?: boolean | number;
    actives?: any;
    isSingle?: (number?: any) => void;
    activeIndex?: number | null;
}
export default class FastSelection extends React.PureComponent<IProps, IState> {
    state: {
        isActive: boolean;
        actives: never[];
        isSingle: () => boolean;
        activeIndex: null;
    };
    onItemsClick: ({ target }: {
        target: any;
    }, index: number) => Promise<void>;
    render(): JSX.Element;
}
export {};
