"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var styled_components_1 = require("styled-components");
var Colors_1 = require("../Colors");
var TextHelper_1 = require("../TextHelper");
var Sizes_1 = require("../Sizes");
exports.Selector = styled_components_1.default.button.attrs({
    type: 'button',
})(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  background-color: ", ";\n  color: ", ";\n  border: 2px solid;\n  border-radius: 25px;\n  padding: ", "px ", "px;\n  line-height: 1;\n  outline: 0;\n  margin-right: ", "px;\n  cursor: pointer;\n\n  font-family: ", ";\n  font-weight: 500;\n  transition: all 0.3s;\n\n  &:hover {\n    border-color: ", ";\n    color: ", ";\n  }\n\n  ", "\n\n  ", "\n"], ["\n  background-color: ", ";\n  color: ", ";\n  border: 2px solid;\n  border-radius: 25px;\n  padding: ", "px ", "px;\n  line-height: 1;\n  outline: 0;\n  margin-right: ", "px;\n  cursor: pointer;\n\n  font-family: ", ";\n  font-weight: 500;\n  transition: all 0.3s;\n\n  &:hover {\n    border-color: ", ";\n    color: ", ";\n  }\n\n  ",
    "\n\n  ",
    "\n"])), Colors_1.default.white, Colors_1.default.mongeral, Sizes_1.default.s2, Sizes_1.default.s3, Sizes_1.default.s3, TextHelper_1.default.fontVariant('medium'), Colors_1.default.regalBlue, Colors_1.default.regalBlue, function (_a) {
    var isActive = _a.isActive;
    return isActive && "\n    background-color: " + Colors_1.default.mongeral + ";\n    border-color: " + Colors_1.default.mongeral + ";\n    color: " + Colors_1.default.white + ";\n\n    &:hover {\n      border-color: " + Colors_1.default.mongeral + ";\n      color: " + Colors_1.default.white + ";\n    }\n  ";
}, function (_a) {
    var disabled = _a.disabled;
    return disabled && "\n    opacity: 0.2;\n    cursor: auto;\n  ";
});
exports.Header = styled_components_1.default.p(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  font-family: ", ";\n  font-size: 10px;\n"], ["\n  font-family: ", ";\n  font-size: 10px;\n"])), TextHelper_1.default.fontVariant('medium'));
exports.Wrapper = styled_components_1.default.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  position: relative;\n  white-space: nowrap;\n  overflow-x: auto;\n  -webkit-overflow-scrolling: touch;\n  -ms-overflow-style: -ms-autohiding-scrollbar;\n\n  &::-webkit-scrollbar {\n    display: none;\n  }\n"], ["\n  position: relative;\n  white-space: nowrap;\n  overflow-x: auto;\n  -webkit-overflow-scrolling: touch;\n  -ms-overflow-style: -ms-autohiding-scrollbar;\n\n  &::-webkit-scrollbar {\n    display: none;\n  }\n"])));
var templateObject_1, templateObject_2, templateObject_3;
//# sourceMappingURL=FastSelection.styled.js.map