"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var Colors_1 = require("../Colors");
var draw = styled_components_1.keyframes(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  0% {\n    stroke-dashoffset: 164.46;\n    opacity: 0;\n  }\n\n  20% { opacity: 1; }\n\n  50% {\n  opacity: 1;\n  stroke-dashoffset: 0;\n  }\n\n  55% { opacity: 0; }\n  100% { opacity: 0; }\n"], ["\n  0% {\n    stroke-dashoffset: 164.46;\n    opacity: 0;\n  }\n\n  20% { opacity: 1; }\n\n  50% {\n  opacity: 1;\n  stroke-dashoffset: 0;\n  }\n\n  55% { opacity: 0; }\n  100% { opacity: 0; }\n"])));
var AutumnIcon = styled_components_1.default.svg(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  fill: none;\n\tstroke: ", ";\n\tstroke-miterlimit: 10;\n\tstroke-width: 6px;\n\tstroke-dasharray: 164.46;\n\tstroke-dashoffset: 0;\n\n  .wind-middle {\n    animation: ", " 3s ease-in-out infinite forwards;\n    opacity: 0;\n  }\n  .wind-top {\n    animation: ", " 3s 1.5s ease-in-out infinite forwards;\n    opacity: 0;\n  }\n  .wind-down {\n    animation: ", " 3.5s 2.6s ease-in-out infinite forwards;\n    opacity: 0;\n  }\n"], ["\n  fill: none;\n\tstroke: ", ";\n\tstroke-miterlimit: 10;\n\tstroke-width: 6px;\n\tstroke-dasharray: 164.46;\n\tstroke-dashoffset: 0;\n\n  .wind-middle {\n    animation: ", " 3s ease-in-out infinite forwards;\n    opacity: 0;\n  }\n  .wind-top {\n    animation: ", " 3s 1.5s ease-in-out infinite forwards;\n    opacity: 0;\n  }\n  .wind-down {\n    animation: ", " 3.5s 2.6s ease-in-out infinite forwards;\n    opacity: 0;\n  }\n"])), Colors_1.default.support, draw, draw, draw);
exports.default = (function (props) { return (React.createElement(AutumnIcon, __assign({ viewBox: '0 0 82 82', xmlns: 'http://www.w3.org/2000/svg' }, props),
    React.createElement("path", { className: 'wind-top', d: 'M3.7,32.3H30c7.9,0,14.3-6.4,14.3-14.3S37.9,3.7,30,3.7S15.7,10,15.8,17.9 c0,7.9,6.4,14.3,14.3,14.3h37.3' }),
    React.createElement("path", { className: 'wind-middle', d: 'M3.7,46.5h49.1c7.9,0,14.3-6.4,14.3-14.3s-6.4-14.3-14.3-14.3s-14.3,6.4-14.3,14.3 s6.4,14.3,14.3,14.3h25.5' }),
    React.createElement("path", { className: 'wind-down', d: 'M14.6,60.8h32.8c4.9,0,8.8,3.9,8.8,8.8s-3.9,8.8-8.8,8.8s-8.8-3.9-8.8-8.8s3.9-8.8,8.8-8.8h30.9' }))); });
var templateObject_1, templateObject_2;
//# sourceMappingURL=Autumn.js.map