"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var Cigar = styled_components_1.default.svg(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  fill:none;\n  stroke-miterlimit: 10;\n  stroke-width: 1px;\n  stroke: currentColor;\n  stroke-linejoin: bevel;\n"], ["\n  fill:none;\n  stroke-miterlimit: 10;\n  stroke-width: 1px;\n  stroke: currentColor;\n  stroke-linejoin: bevel;\n"])));
exports.default = React.memo(function (_a) {
    var width = _a.width, height = _a.height, color = _a.color, props = __rest(_a, ["width", "height", "color"]);
    return (React.createElement(Cigar, __assign({ xmlns: 'http://www.w3.org/2000/svg', width: width || 92, height: height || 68, viewBox: '0 0 92 68' }, props),
        React.createElement("path", { className: "i-cigar", d: "M70.933 44.789H1V67h69.933V44.789z" }),
        React.createElement("path", { className: "i-cigar", d: "M79.06 67V40.787a9.883 9.883 0 0 0-9.868-9.868h-9.379a17.133 17.133 0 0 1-17.14-17.14" }),
        React.createElement("path", { className: "i-cigar", d: "M91.22 67V27.008a9.883 9.883 0 0 0-9.868-9.868H74.08A17.159 17.159 0 0 1 56.91 0" }),
        React.createElement("path", { className: "i-cigar fill", d: "M1 44.819h22.181V67H1z", fill: color })));
});
var templateObject_1;
//# sourceMappingURL=Cigar.js.map