"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var Diseases = styled_components_1.default.svg(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  fill:none;\n  stroke-miterlimit: 10;\n  stroke-width: 1px;\n  stroke: currentColor;\n  stroke-linecap:square;\n"], ["\n  fill:none;\n  stroke-miterlimit: 10;\n  stroke-width: 1px;\n  stroke: currentColor;\n  stroke-linecap:square;\n"])));
exports.default = React.memo(function (_a) {
    var width = _a.width, height = _a.height, color = _a.color, props = __rest(_a, ["width", "height", "color"]);
    return (React.createElement(Diseases, __assign({ xmlns: 'http://www.w3.org/2000/svg', width: width || 100, height: height || 80, viewBox: '0 0 40 45' }, props),
        React.createElement("g", { transform: 'translate(-.108 -.108)' },
            React.createElement("ellipse", { className: 'i-disease card-icon', cx: '13.242', cy: '13.241', rx: '13.242', ry: '13.241', transform: 'translate(7.382 7.409)' }),
            React.createElement("path", { className: 'i-disease card-icon', d: 'M29.993 30.019l6.302 6.276m-25.027-6.29L4.55 36.737' }),
            React.createElement("ellipse", { className: 'i-disease card-icon', cx: '3.151', cy: '3.151', rx: '3.151', ry: '3.151', transform: 'translate(35.767 35.807)' }),
            React.createElement("ellipse", { className: 'i-disease card-icon', cx: '3.151', cy: '3.151', rx: '3.151', ry: '3.151', transform: 'translate(17.473 33.905)' }),
            React.createElement("ellipse", { className: 'i-disease card-icon', cx: '3.151', cy: '3.151', rx: '3.151', ry: '3.151', transform: 'translate(1.524 1.427)' }),
            React.createElement("ellipse", { className: 'i-disease card-icon', cx: '3.151', cy: '3.151', rx: '3.151', ry: '3.151', transform: 'translate(17.445 17.527)' }),
            React.createElement("path", { className: 'i-disease card-icon', d: 'M20.637 1.108v6.315M6.921 6.921l4.333 4.374M1.108 20.678h6.26M37.433 3.842l-7.454 7.453' }))));
});
var templateObject_1;
//# sourceMappingURL=Diseases.js.map