"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var Lungs = styled_components_1.default.svg(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  fill:none;\n  stroke-miterlimit: 10;\n  stroke-width: 2px;\n  stroke: currentColor;\n  stroke-linejoin: round;\n  stroke-linecap: round;\n"], ["\n  fill:none;\n  stroke-miterlimit: 10;\n  stroke-width: 2px;\n  stroke: currentColor;\n  stroke-linejoin: round;\n  stroke-linecap: round;\n"])));
exports.default = React.memo(function (_a) {
    var width = _a.width, height = _a.height, color = _a.color, props = __rest(_a, ["width", "height", "color"]);
    return (React.createElement(Lungs, __assign({ xmlns: 'http://www.w3.org/2000/svg', width: width || 78, height: height || 68, viewBox: '0 0 79 69' }, props),
        React.createElement("path", { className: "i-lungs", d: "M28.058 39.791l11.037-11.037 11.037 11.037" }),
        React.createElement("path", { className: "i-lungs", d: "M14.419 33.351a8.13 8.13 0 0 1 6.613-3.361 7.8 7.8 0 0 1 7.806 7.806" }),
        React.createElement("path", { className: "i-lungs", d: "M28.838 37.687v22.442a7.8 7.8 0 0 1-7.806 7.806h-7.806a8.044 8.044 0 0 1-7.979-7.914M14.419 33.351a66.663 66.663 0 0 0-9.172 26.67" }),
        React.createElement("g", null,
            React.createElement("path", { className: "i-lungs", d: "M63.639 33.351a8.13 8.13 0 0 0-6.613-3.361 7.8 7.8 0 0 0-7.806 7.806" }),
            React.createElement("path", { className: "i-lungs", d: "M49.22 37.687v22.442a7.8 7.8 0 0 0 7.806 7.806h7.827a8.044 8.044 0 0 0 7.979-7.914M63.639 33.351a66.663 66.663 0 0 1 9.172 26.67" })),
        React.createElement("path", { className: "i-lungs", d: "M38.964 1h.043v27.581h-.043z" })));
});
var templateObject_1;
//# sourceMappingURL=Lungs.js.map