"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var Colors_1 = require("../Colors");
var Sizes_1 = require("../Sizes");
var ArrowIcon = styled_components_1.default.svg.attrs({
    className: 'svg',
})(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  transform: rotate(", "deg);\n"], ["\n  transform: rotate(", "deg);\n"])), function (_a) {
    var degree = _a.degree;
    return degree;
});
exports.default = React.memo(function (_a) {
    var width = _a.width, height = _a.height, color = _a.color, props = __rest(_a, ["width", "height", "color"]);
    return (React.createElement(ArrowIcon, __assign({ viewBox: '0 0 32 20.42', width: width || 18, height: height || Sizes_1.default.s3 }, props),
        React.createElement("polyline", { className: 'link-arrow-elements', points: '12.35 19.71 22 10.22 12.35 0.71', fill: 'none', stroke: color || Colors_1.default.mongeral, strokeMiterlimit: '10', strokeWidth: '1.601' }),
        React.createElement("line", { className: 'link-arrow-elements', stroke: color || Colors_1.default.mongeral, x1: '22', y1: '10.22', y2: '10.22' })));
});
var templateObject_1;
//# sourceMappingURL=SecondaryArrow.js.map