"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var Colors_1 = require("../Colors");
var flowerGrowth = styled_components_1.keyframes(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  from { transform: translateY(27px); }\n  to { transform: translateY(0); }\n"], ["\n  from { transform: translateY(27px); }\n  to { transform: translateY(0); }\n"])));
var flowerLive = styled_components_1.keyframes(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  0% { transform: scale(1); }\n  50% { transform: scale(0.96); }\n  100% { transform: scale(1); }\n"], ["\n  0% { transform: scale(1); }\n  50% { transform: scale(0.96); }\n  100% { transform: scale(1); }\n"])));
var flowerStalk = styled_components_1.keyframes(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  from { transform: scaleY(0.4); }\n  to { transform: scaleY(1); }\n"], ["\n  from { transform: scaleY(0.4); }\n  to { transform: scaleY(1); }\n"])));
var SpringIcon = styled_components_1.default.svg(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  fill: none;\n\tstroke: ", ";\n\tstroke-miterlimit: 10;\n\tstroke-width: 6px;\n\n  .flower {\n    animation: ", " 1s ease-in 1 forwards, ", " 3s ease-in 1s infinite;\n    transform-origin: center;\n  }\n  .stalk {\n    animation: ", " 1s ease-in 1 forwards;\n    transform-origin: center bottom;\n  }\n"], ["\n  fill: none;\n\tstroke: ", ";\n\tstroke-miterlimit: 10;\n\tstroke-width: 6px;\n\n  .flower {\n    animation: ", " 1s ease-in 1 forwards, ", " 3s ease-in 1s infinite;\n    transform-origin: center;\n  }\n  .stalk {\n    animation: ", " 1s ease-in 1 forwards;\n    transform-origin: center bottom;\n  }\n"])), Colors_1.default.support, flowerGrowth, flowerLive, flowerStalk);
exports.default = (function (props) { return (React.createElement(SpringIcon, __assign({ viewBox: '0 0 88 109', xmlns: 'http://www.w3.org/2000/svg' }, props),
    React.createElement("g", { className: 'flower' },
        React.createElement("circle", { cx: '45', cy: '40', r: '15.13' }),
        React.createElement("path", { d: 'M57.72,31.36a22.15,22.15,0,0,1,7-1.2c10.91,0,19.75,9.31,19.75,9.31s-8.84,9.31-19.75,9.31a22.26,22.26,0,0,1-7-1.17' }),
        React.createElement("path", { d: 'M44.27,24.44a22.33,22.33,0,0,1,2.47-6.69C52.2,8.3,64.69,5.3,64.69,5.3s3.64,12.31-1.81,21.76a22.45,22.45,0,0,1-4.5,5.44' }),
        React.createElement("path", { d: 'M31.55,32.62A22.27,22.27,0,0,1,27,27.14c-5.45-9.45-1.8-21.76-1.8-21.76s12.48,3,17.94,12.44a22.5,22.5,0,0,1,2.46,6.61' }),
        React.createElement("path", { d: 'M32.28,47.73a22.15,22.15,0,0,1-7,1.2c-10.91,0-19.75-9.31-19.75-9.31s8.84-9.31,19.75-9.31a22.26,22.26,0,0,1,7,1.17' }),
        React.createElement("path", { d: 'M45.73,54.66a22.37,22.37,0,0,1-2.47,6.68C37.8,70.79,25.31,73.79,25.31,73.79S21.67,61.48,27.12,52a22.21,22.21,0,0,1,4.5-5.43' }),
        React.createElement("path", { d: 'M58.45,46.47A22.14,22.14,0,0,1,63,52c5.45,9.44,1.8,21.76,1.8,21.76s-12.48-3-17.94-12.45a22.5,22.5,0,0,1-2.46-6.61' })),
    React.createElement("line", { className: 'stalk', x1: '45', x2: '45', y1: '52.95', y2: '105.28' }))); });
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
//# sourceMappingURL=Spring.js.map