"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var Colors_1 = require("../Colors");
var flakesFall = styled_components_1.keyframes(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n0% {}\n40% { opacity: 0; }\n70% { opacity: 1; }\n100% {\n  transform: translateY(25px);\n  opacity: 0;\n}"], ["\n0% {}\n40% { opacity: 0; }\n70% { opacity: 1; }\n100% {\n  transform: translateY(25px);\n  opacity: 0;\n}"])));
var WinterIcon = styled_components_1.default.svg(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  fill: none;\n  stroke: ", ";\n  stroke-miterlimit: 10;\n  stroke-width: 3px;\n\n  .cloud-icon {\n    stroke-linecap:square;\n    stroke-width: 6px;\n  }\n\n  .winter.left,\n  .winter.middle,\n  .winter.right {\n    opacity: 0;\n    animation-name: ", ";\n    animation-timing-function: ease-in;\n    animation-duration: 2s;\n    animation-iteration-count: infinite;\n  }\n\n  .winter.middle {\n    animation-delay: 0.6s;\n  }\n\n  .winter.right {\n    animation-delay: 1.2s;\n  }\n"], ["\n  fill: none;\n  stroke: ", ";\n  stroke-miterlimit: 10;\n  stroke-width: 3px;\n\n  .cloud-icon {\n    stroke-linecap:square;\n    stroke-width: 6px;\n  }\n\n  .winter.left,\n  .winter.middle,\n  .winter.right {\n    opacity: 0;\n    animation-name: ", ";\n    animation-timing-function: ease-in;\n    animation-duration: 2s;\n    animation-iteration-count: infinite;\n  }\n\n  .winter.middle {\n    animation-delay: 0.6s;\n  }\n\n  .winter.right {\n    animation-delay: 1.2s;\n  }\n"])), Colors_1.default.support, flakesFall);
exports.default = (function (props) { return (React.createElement(WinterIcon, __assign({ viewBox: '0 0 90 105', xmlns: 'http://www.w3.org/2000/svg' }, props),
    React.createElement("g", { className: 'winter left' },
        React.createElement("line", { x1: '16.12', x2: '16.12', y1: '63.65', y2: '76.32' }),
        React.createElement("polyline", { points: '17.78 61.99 16.12 63.65 14.46 61.99' }),
        React.createElement("polyline", { points: '14.46 77.99 16.12 76.33 17.78 77.99' }),
        React.createElement("polyline", { points: '24.12 71.65 22.46 69.99 24.12 68.33' }),
        React.createElement("polyline", { points: '8.12 68.33 9.78 69.99 8.12 71.65' }),
        React.createElement("line", { x1: '22.46', x2: '9.78', y1: '69.99', y2: '69.99' }),
        React.createElement("line", { x1: '20.6', x2: '11.64', y1: '74.47', y2: '65.51' }),
        React.createElement("line", { x1: '11.64', x2: '20.6', y1: '74.47', y2: '65.51' })),
    React.createElement("g", { className: 'winter middle' },
        React.createElement("line", { x1: '44.65', x2: '44.65', y1: '63.65', y2: '76.32' }),
        React.createElement("polyline", { points: '46.31 61.99 44.65 63.65 42.98 61.99' }),
        React.createElement("polyline", { points: '42.98 77.99 44.65 76.33 46.31 77.99' }),
        React.createElement("polyline", { points: '52.65 71.65 50.98 69.99 52.65 68.33' }),
        React.createElement("polyline", { points: '36.65 68.33 38.31 69.99 36.65 71.65' }),
        React.createElement("line", { x1: '50.98', x2: '38.31', y1: '69.99', y2: '69.99' }),
        React.createElement("line", { x1: '49.13', x2: '40.17', y1: '74.47', y2: '65.51' }),
        React.createElement("line", { x1: '40.17', x2: '49.13', y1: '74.47', y2: '65.51' })),
    React.createElement("g", { className: 'winter right' },
        React.createElement("line", { x1: '77.67', x2: '77.67', y1: '63.65', y2: '76.32' }),
        React.createElement("polyline", { points: '79.34 61.99 77.67 63.65 76.01 61.99' }),
        React.createElement("polyline", { points: '76.01 77.99 77.68 76.33 79.34 77.99' }),
        React.createElement("polyline", { points: '85.67 71.65 84.01 69.99 85.67 68.33' }),
        React.createElement("polyline", { points: '69.67 68.33 71.34 69.99 69.68 71.65' }),
        React.createElement("line", { x1: '84.01', x2: '71.34', y1: '69.99', y2: '69.99' }),
        React.createElement("line", { x1: '82.16', x2: '73.19', y1: '74.47', y2: '65.51' }),
        React.createElement("line", { x1: '73.19', x2: '82.16', y1: '74.47', y2: '65.51' })),
    React.createElement("path", { className: 'cloud-icon', d: 'M69,21.15A25.35,25.35,0,1,0,21.62,39.21a15.91,15.91,0,0,0-2-.12,15.68,15.68,0,0,0,0,31.36h41A25.34,25.34,0,0,0,69,21.15Z' }))); });
var templateObject_1, templateObject_2;
//# sourceMappingURL=Winter.js.map