"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
exports.Forward = function (children) { return (React.createElement(React.Fragment, null,
    children,
    React.createElement("svg", { className: 'svg', xmlns: 'http://www.w3.org/2000/svg', viewBox: '0 0 22 20.4' },
        React.createElement("polyline", { className: 'switch-arrow-elements one', points: '0.8,19.7 10.4,10.2 0.8,0.7 ' }),
        React.createElement("polyline", { className: 'switch-arrow-elements two', points: '0.8,19.7 10.4,10.2 0.8,0.7 ' })))); };
exports.Backward = function (children) { return (React.createElement(React.Fragment, null,
    React.createElement("svg", { className: 'svg', xmlns: 'http://www.w3.org/2000/svg', viewBox: '0 0 22 20.4' },
        React.createElement("polyline", { className: 'switch-arrow-elements one', points: '0.8,19.7 10.4,10.2 0.8,0.7 ' }),
        React.createElement("polyline", { className: 'switch-arrow-elements two', points: '0.8,19.7 10.4,10.2 0.8,0.7 ' })),
    children)); };
exports.ArrowPlus = function (children) { return (React.createElement(React.Fragment, null,
    children,
    React.createElement("svg", { className: 'svg', xmlns: 'http://www.w3.org/2000/svg', viewBox: '0 0 32 20.42' },
        React.createElement("polyline", { className: 'link-arrow-elements', points: '12.35 19.71 22 10.22 12.35 0.71' }),
        React.createElement("line", { className: 'link-arrow-elements', x1: '22', y1: '10.22', y2: '10.22' })))); };
exports.Download = function (children) { return (React.createElement(React.Fragment, null,
    children,
    React.createElement("svg", { className: 'svg', xmlns: 'http://www.w3.org/2000/svg', viewBox: '0 0 32 20.42', transform: 'rotate(90)' },
        React.createElement("polyline", { className: 'link-arrow-elements', points: '12.35 19.71 22 10.22 12.35 0.71' }),
        React.createElement("line", { className: 'link-arrow-elements', x1: '22', y1: '10.22', y2: '10.22' }),
        React.createElement("line", { className: 'link-arrow-elements', x1: '24', x2: '24', y1: '24' })))); };
exports.Plus = function (children) { return (React.createElement(React.Fragment, null,
    children,
    React.createElement("svg", { className: 'svg', xmlns: 'http://www.w3.org/2000/svg', viewBox: '0 0 22 20.4' },
        React.createElement("line", { className: 'plus left', x1: '11', y1: '10.2', x2: '3', y2: '10.2' }),
        React.createElement("line", { className: 'plus down', x1: '11', y1: '18.2', x2: '11', y2: '10.2' }),
        React.createElement("line", { className: 'plus right', x1: '11', y1: '10.2', x2: '19', y2: '10.2' }),
        React.createElement("line", { className: 'plus up', x1: '11', y1: '2.2', x2: '11', y2: '10.2' })))); };
//# sourceMappingURL=LinksIcon.js.map