import * as React from 'react';
interface IProps {
    active: boolean;
    type?: string;
    onClose: (boolean: boolean) => void;
    onConfirm?: any;
    onConfirmText?: string;
    selector: string;
    css?: string;
    asyncClose?: (e?: Function) => void;
    onConfirmType?: string;
}
export default class Modal extends React.PureComponent<IProps> {
    el: HTMLElement | Node | null;
    html: HTMLElement;
    body: HTMLBodyElement;
    state: {
        animation: string;
    };
    componentDidMount(): void;
    onClose: () => Promise<void>;
    externalStyles: (overflow: string, position: string) => void;
    componentDidUpdate(prevProps: Object, prevState: {
        animation: string;
    }): void;
    onConfirm: () => any;
    render(): false | React.ReactPortal;
}
export {};
