"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ReactDOM = require("react-dom");
var Modal_styled_1 = require("./Modal.styled");
var index_1 = require("../index");
var Modal = (function (_super) {
    __extends(Modal, _super);
    function Modal() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            animation: 'enter',
        };
        _this.onClose = function () { return __awaiter(_this, void 0, void 0, function () {
            var _this = this;
            return __generator(this, function (_a) {
                this.setState({ animation: 'leave' });
                setTimeout(function () {
                    _this.props.onClose(false);
                    _this.setState({ animation: 'enter' });
                }, 400);
                return [2];
            });
        }); };
        _this.externalStyles = function (overflow, position) {
            _this.body.style.overflow = overflow;
            _this.body.style.height = '100%';
            _this.body.style.margin = '0';
            _this.html.style.overflow = overflow;
            _this.html.style.height = '100%';
            _this.html.style.margin = '0';
            _this.body.style.position = position;
        };
        _this.onConfirm = function () { return _this.props.onConfirm ? _this.props.onConfirm() : _this.onClose(); };
        return _this;
    }
    Modal.prototype.componentDidMount = function () {
        this.el = document.querySelector(this.props.selector);
        this.body = document.querySelector('body');
        this.html = document.querySelector('html');
        this.props.asyncClose && this.props.asyncClose(this.onClose);
    };
    Modal.prototype.componentDidUpdate = function (prevProps, prevState) {
        if (prevState.animation === 'enter') {
            this.externalStyles('hidden', 'relative');
        }
        else {
            this.externalStyles('auto', 'static');
        }
    };
    Modal.prototype.render = function () {
        var _a = this.props, active = _a.active, children = _a.children, type = _a.type, onConfirm = _a.onConfirm, onConfirmText = _a.onConfirmText, onConfirmType = _a.onConfirmType, props = __rest(_a, ["active", "children", "type", "onConfirm", "onConfirmText", "onConfirmType"]);
        var isType = type || 'default';
        return active && ReactDOM.createPortal((React.createElement(React.Fragment, null,
            isType !== 'full' && React.createElement(Modal_styled_1.Overlay, { animation: this.state.animation, onClick: this.onClose }),
            React.createElement(Modal_styled_1.ModalStyle, __assign({ animation: this.state.animation, type: isType }, props),
                React.createElement(Modal_styled_1.Wrapper, null,
                    React.createElement(Modal_styled_1.WrapperClose, { className: 'close' },
                        React.createElement(Modal_styled_1.Close, { type: 'button', onClick: this.onClose, isType: isType },
                            React.createElement(index_1.Icons.Close, { width: 27, height: 27 }))),
                    children),
                isType !== 'small' && (React.createElement(Modal_styled_1.WrapperButton, { className: 'footer-modal' },
                    React.createElement(index_1.Button, { isType: 'link', type: 'button', onClick: this.onClose }, "FECHAR"),
                    (onConfirm || onConfirmText) && React.createElement(index_1.Button, { isType: onConfirmType || 'confirm', type: 'button', onClick: this.onConfirm }, onConfirmText || 'Salvar')))))), this.el);
    };
    return Modal;
}(React.PureComponent));
exports.default = Modal;
//# sourceMappingURL=Modal.js.map