"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_select_1 = require("react-select");
var animated_1 = require("react-select/lib/animated");
var Colors_1 = require("../Colors");
var TextHelper_1 = require("../TextHelper");
var Sizes_1 = require("../Sizes");
var selectStyles = {
    control: function (styles) { return (__assign({}, styles, { border: '0 none', borderRadius: 0, outline: 0, boxShadow: '0 none', borderBottom: "1px solid " + Colors_1.default.codGray, backgroundColor: 'transparent', padding: 0, fontFamily: TextHelper_1.default.fontVariant('medium') })); },
    option: function () { return ({
        marginBottom: Sizes_1.default.s4 + "px",
        cursor: 'pointer',
    }); },
    multiValue: function () { return ({
        backgroundColor: Colors_1.default.mongeral,
        borderRadius: '20px',
        color: 'white',
        display: 'flex',
        marginRight: '10px',
        marginBottom: Sizes_1.default.s1 + "px",
        padding: Sizes_1.default.s1 + "px " + Sizes_1.default.s2 + "px",
    }); },
    clearIndicator: function () { return ({
        display: 'none',
    }); },
    dropdownIndicator: function () { return ({
        display: 'none',
    }); },
    indicatorSeparator: function () { return ({
        display: 'none',
    }); },
    multiValueLabel: function (styles) { return (__assign({}, styles, { color: 'white' })); },
    menu: function (styles) { return (__assign({}, styles, { border: '0 none', borderRadius: 0, marginTop: 0, boxShadow: "0 3px 6px 0 " + Colors_1.default.line, borderTop: "1px solid " + Colors_1.default.codGray, padding: Sizes_1.default.s4 + "px " + Sizes_1.default.s4 + "px 0", zIndex: 9999 })); },
    menuList: function (styles, _a) { return (__assign({}, styles, { fontFamily: TextHelper_1.default.fontVariant('medium'), height: '215px' })); },
    valueContainer: function (styles, _a) { return (__assign({}, styles, { padding: 0 })); },
};
var MultiSelect = (function (_super) {
    __extends(MultiSelect, _super);
    function MultiSelect() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    MultiSelect.prototype.render = function () {
        return (React.createElement(react_select_1.default, __assign({}, this.props, { components: animated_1.default(), styles: selectStyles, isMulti: true })));
    };
    return MultiSelect;
}(React.PureComponent));
exports.default = MultiSelect;
//# sourceMappingURL=MultiSelect.js.map