"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var styled_components_1 = require("styled-components");
var styles_1 = require("../utils/styles");
exports.ParentSlider = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  min-height: 210px;\n  max-width: 848px;\n  overflow: hidden;\n  position: relative;\n"], ["\n  min-height: 210px;\n  max-width: 848px;\n  overflow: hidden;\n  position: relative;\n"])));
exports.Container = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: flex;\n"], ["\n  display: flex;\n"])));
exports.Wrapper = styled_components_1.default.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  @media screen and (max-width: 992px){\n    position: relative;\n    white-space: nowrap;\n    overflow-x: auto;\n    -webkit-overflow-scrolling: touch;\n    -ms-overflow-style: -ms-autohiding-scrollbar;\n    min-height: 215px;\n\n    &::-webkit-scrollbar {\n      display: none;\n    }\n  }\n  transition: transform ease-in-out 0.45s;\n  ", "\n"], ["\n  @media screen and (max-width: 992px){\n    position: relative;\n    white-space: nowrap;\n    overflow-x: auto;\n    -webkit-overflow-scrolling: touch;\n    -ms-overflow-style: -ms-autohiding-scrollbar;\n    min-height: 215px;\n\n    &::-webkit-scrollbar {\n      display: none;\n    }\n  }\n  transition: transform ease-in-out 0.45s;\n  ", "\n"])), function (_a) {
    var translate = _a.translate;
    return "transform: translateX(" + translate + "px)";
});
exports.Slide = styled_components_1.default.div.attrs({
    className: 'slide',
})(templateObject_4 || (templateObject_4 = __makeTemplateObject([""], [""])));
exports.Arrow = styled_components_1.default.button(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  position: absolute;\n  top: 0;\n  bottom: 0;\n  background-color: rgba(255,255,255,0.8);\n  width: 85px;\n  border: 0 none;\n  outline: none;\n"], ["\n  position: absolute;\n  top: 0;\n  bottom: 0;\n  background-color: rgba(255,255,255,0.8);\n  width: 85px;\n  border: 0 none;\n  outline: none;\n"])));
exports.ArrowRight = styled_components_1.default(exports.Arrow)(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  display: none;\n  right: 0;\n  ", "\n"], ["\n  display: none;\n  right: 0;\n  ", "\n"])), styles_1.styledByMediaQuery("display: block;"));
exports.ArrowLeft = styled_components_1.default(exports.Arrow)(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  left: 0;\n"], ["\n  left: 0;\n"])));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7;
//# sourceMappingURL=Slider.styled.js.map