"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Tabs_styled_1 = require("./Tabs.styled");
var default_1 = (function (_super) {
    __extends(default_1, _super);
    function default_1() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            activePanel: '',
            marker: {
                width: 0,
                index: 0
            }
        };
        _this.tab = React.createRef();
        _this.changeTabState = function (element) { return _this.setState({
            marker: { width: element.clientWidth, index: element.offsetLeft },
            activePanel: element.textContent
        }); };
        _this.activatePanel = function (_a) {
            var currentTarget = _a.currentTarget;
            return _this.changeTabState(currentTarget);
        };
        _this.render = function () {
            var _a = _this.props, children = _a.children, headers = _a.headers;
            var _b = _this.state, activePanel = _b.activePanel, marker = _b.marker;
            return (React.createElement(React.Fragment, null,
                React.createElement(Tabs_styled_1.HeaderTabs, { ref: _this.tab },
                    headers.map(function (header, index) { return (React.createElement("li", { onClick: _this.activatePanel, role: 'button', key: index, className: "tab-header-item-" + index },
                        React.createElement("a", null, header))); }),
                    React.createElement(Tabs_styled_1.Marker, { marked: marker })),
                React.Children.map(children, function (child) { return (child.props.fromHeader === activePanel) && child; })));
        };
        return _this;
    }
    default_1.prototype.componentDidMount = function () {
        this.changeTabState(this.tab.current.children[0]);
    };
    default_1.Panel = Tabs_styled_1.ActiveComponent;
    return default_1;
}(React.PureComponent));
exports.default = default_1;
;
//# sourceMappingURL=Tabs.js.map