"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Textarea_styled_1 = require("./Textarea.styled");
var Textarea = (function (_super) {
    __extends(Textarea, _super);
    function Textarea() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            value: '',
            rows: 1,
            minRows: 1
        };
        _this.onChange = function (_a) {
            var currentTarget = _a.currentTarget;
            var textareaLineHeight = 22;
            var minRows = _this.state.minRows;
            var previousRows = currentTarget.rows;
            currentTarget.rows = minRows;
            var currentRows = ~~(currentTarget.scrollHeight / textareaLineHeight);
            if (currentRows === previousRows) {
                currentTarget.rows = currentRows;
            }
            _this.props.onChange(currentTarget);
            _this.setState({
                value: currentTarget.value,
                rows: currentRows,
            });
        };
        return _this;
    }
    Textarea.prototype.render = function () {
        var _a = this.props, feedback = _a.feedback, comment = _a.comment, label = _a.label, placeholder = _a.placeholder, isInvalid = _a.isInvalid, isWarning = _a.isWarning;
        var moreInformationInInput = feedback || comment || isInvalid || isWarning;
        return (React.createElement(Textarea_styled_1.default.GroupInput, null,
            React.createElement(Textarea_styled_1.default.Textarea, __assign({}, this.props, { value: this.state.value, onChange: this.onChange, rows: this.state.rows })),
            React.createElement("label", null, label || placeholder),
            React.createElement("span", { className: 'bar' }),
            (moreInformationInInput) && React.createElement("span", { className: 'feedback' }, moreInformationInInput)));
    };
    return Textarea;
}(React.PureComponent));
exports.default = Textarea;
//# sourceMappingURL=Textarea.js.map