import * as React from 'react';
import styled from 'styled-components';

import { IProps } from '../AlertFlag';

import Colors from '../../Colors';

const Wrapper = styled.div`
  color: ${Colors.tulipTree};
  border: 2px solid;
  padding: 10px;

  * {
    color: inherit;
  }
`;

export default (props: IProps) => <Wrapper {...props} />