import * as React from 'react';
import { storiesOf } from '@storybook/react';
import styled from 'styled-components';

import { Textarea, GlobalStyle } from '../src';

const Wrapper = styled.div`
  margin: 20px;
  padding: 40px 10px ;
  background-color: white;
  border: #ebebeb 1px solid;
  max-width: 300px;
`;

storiesOf('Textarea', module)
  .add('Default', () => (
    <React.Fragment>
      <GlobalStyle />
      <Wrapper>
        <Textarea
          type='text'
          placeholder='Placeholder'
          onChange={(e) => e}
        />
      </Wrapper>
    </React.Fragment>
  ));