import * as React from 'react';
interface IProps {
    items: {
        header: string | React.ReactNode | React.ReactChild;
        content: string | React.ReactNode | React.ReactChild;
        labels?: string | React.ReactNode | React.ReactChild;
    }[];
    automatic?: boolean;
}
interface IState {
    active: null | boolean | number;
    activeIndex: number | null;
}
export default class Accordion extends React.PureComponent<IProps, IState> {
    state: {
        active: boolean;
        activeIndex: null;
    };
    toggle: (e: boolean, index: number) => void;
    render: () => JSX.Element[];
}
export {};
