"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var Icons_1 = require("../../Icons");
var Colors_1 = require("../../Colors");
var Wrapper = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  border: 1px solid ", ";\n  display: flex;\n"], ["\n  border: 1px solid ", ";\n  display: flex;\n"])), function (_a) {
    var color = _a.color;
    return color;
});
var IconWrapper = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  border-right: 1px solid ", ";\n  padding: 10px 5px;\n  display: flex;\n  align-items: center;\n"], ["\n  border-right: 1px solid ", ";\n  padding: 10px 5px;\n  display: flex;\n  align-items: center;\n"])), function (_a) {
    var color = _a.color;
    return color;
});
var ChildWrapper = styled_components_1.default.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  padding-top: 10px;\n  padding-left: 16px;\n"], ["\n  padding-top: 10px;\n  padding-left: 16px;\n"])));
var Close = styled_components_1.default.button(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  margin-left: auto;\n  appearance: none;\n  border: 0 none;\n  background-color: transparent;\n  border-left: 1px solid;\n  cursor: pointer;\n"], ["\n  margin-left: auto;\n  appearance: none;\n  border: 0 none;\n  background-color: transparent;\n  border-left: 1px solid;\n  cursor: pointer;\n"])));
exports.default = (function (_a) {
    var children = _a.children, onClose = _a.onClose;
    return (React.createElement(Wrapper, { color: Colors_1.default.codGray },
        React.createElement(IconWrapper, { color: Colors_1.default.codGray },
            React.createElement(Icons_1.default.SecondaryInfo, null)),
        React.createElement(ChildWrapper, null, children),
        React.createElement(Close, { onClick: function () { return onClose && onClose(false); } },
            React.createElement(Icons_1.default.Close, { height: 20, width: 25 }))));
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
//# sourceMappingURL=Default.js.map