import * as React from 'react';
interface Anchors {
    id: string;
    text: string;
}
interface IProps {
    anchors: Anchors[];
}
interface IState {
    active: number | null;
    axisZ: boolean;
}
export default class Anchor extends React.PureComponent<IProps, IState> {
    state: {
        active: null;
        axisZ: boolean;
    };
    ref: React.RefObject<HTMLUListElement>;
    componentDidMount(): void;
    componentWillUnmount(): void;
    setAxisZ: () => void;
    activeAnchor: (index: number) => void;
    render: () => JSX.Element;
}
export {};
