"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var styled_components_1 = require("styled-components");
var index_1 = require("../index");
var buttonOptions = require("./buttonOptions");
var link = buttonOptions.link, buttonPropertiesDefault = buttonOptions.buttonPropertiesDefault, forward = buttonOptions.forward, disabledForward = buttonOptions.disabledForward, backward = buttonOptions.backward, readmore = buttonOptions.readmore, defaultButton = buttonOptions.defaultButton, outline = buttonOptions.outline, btnWhite = buttonOptions.btnWhite, smallProperties = buttonOptions.smallProperties, responseModule = buttonOptions.responseModule;
var Svg = "\n  & svg {\n    position: relative;\n    top: 2px;\n    height: 16px;\n    margin-left: 6px;\n    fill:none;\n    stroke: " + index_1.Colors.white + ";\n    stroke-miterlimit: 10;\n    stroke-width: 2px;\n    transition: transform 0.15s ease-in-out;\n  }\n\n  .link-arrow-elements { transition: stroke 0.15s ease-in-out, transform 0.15s ease-in-out; }\n  .switch-arrow-elements { transition: all 0.15s; }\n";
var Button = styled_components_1.default.button(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  ", "\n  cursor: pointer;\n  text-transform: uppercase;\n  border: 0 none;\n  outline: none;\n  font-family: ", ";\n\n  ", "\n\n  ", "\n\n  ", "\n\n  ", "\n\n  ", "\n\n  ", "\n\n  ", "\n\n  ", "\n\n  ", "\n\n  ", "\n\n  ", "\n\n  ", ";\n"], ["\n  ", "\n  cursor: pointer;\n  text-transform: uppercase;\n  border: 0 none;\n  outline: none;\n  font-family: ", ";\n\n  ", "\n\n  ", "\n\n  ", "\n\n  ", "\n\n  ", "\n\n  ", "\n\n  ", "\n\n  ", "\n\n  ", "\n\n  ", "\n\n  ", "\n\n  ", ";\n"])), function (_a) {
    var isType = _a.isType;
    return isType !== 'link' ? buttonPropertiesDefault(index_1.Colors) : link(index_1.Colors);
}, index_1.TextHelper.fontVariant('medium'), function (_a) {
    var isType = _a.isType;
    return isType === 'forward' && forward(index_1.Colors)(Svg);
}, function (_a) {
    var isType = _a.isType;
    return isType === 'disabled-forward' && disabledForward(index_1.Colors)(Svg);
}, function (_a) {
    var isType = _a.isType;
    return isType === 'backward' && backward(index_1.Colors)(Svg);
}, function (_a) {
    var isType = _a.isType;
    return isType === 'readmore' && readmore(index_1.Colors)(Svg);
}, function (_a) {
    var isType = _a.isType;
    return (isType === 'confirm' || isType === 'click') && defaultButton(index_1.Colors);
}, function (_a) {
    var isType = _a.isType;
    return isType === 'outline' && outline(index_1.Colors)(defaultButton(index_1.Colors));
}, function (_a) {
    var isType = _a.isType;
    return isType === 'blank' && btnWhite(index_1.Colors);
}, function (_a) {
    var small = _a.small;
    return small && smallProperties;
}, function (_a) {
    var response = _a.response;
    return response === 'success' && responseModule.success(index_1.Colors);
}, function (_a) {
    var response = _a.response;
    return response === 'fail' && responseModule.fail(index_1.Colors);
}, function (_a) {
    var last = _a.last;
    return last && "margin-bottom: " + index_1.Sizes.s4 + "px;";
}, function (_a) {
    var loading = _a.loading;
    return loading && "position: relative";
});
exports.default = Button;
var templateObject_1;
//# sourceMappingURL=Button.styled.js.map