/// <reference types="react" />
interface IProps {
    columns?: number;
    children: any;
    css?: string;
    xs?: number;
    sm?: number;
    md?: number;
    lg?: number;
}
declare const Grid: {
    ({ children, ...rest }: IProps): JSX.Element;
    Column: import("styled-components").StyledComponent<"div", any, {
        className: "col";
    } & {
        mobileOnly?: boolean | undefined;
        desktopOnly?: boolean | undefined;
        xs?: number | undefined;
        sm?: number | undefined;
        md?: number | undefined;
        lg?: number | undefined;
    }, "className">;
};
export default Grid;
