"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var DeathIcon = styled_components_1.default.svg(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  fill:none;\n  stroke-miterlimit: 10;\n  stroke-width: 1px;\n  stroke: currentColor;\n  stroke-linecap:square;\n"], ["\n  fill:none;\n  stroke-miterlimit: 10;\n  stroke-width: 1px;\n  stroke: currentColor;\n  stroke-linecap:square;\n"])));
exports.default = React.memo(function (_a) {
    var width = _a.width, height = _a.height, color = _a.color, props = __rest(_a, ["width", "height", "color"]);
    return (React.createElement(DeathIcon, __assign({ xmlns: 'http://www.w3.org/2000/svg', width: width || 100, height: height || 80, viewBox: '0 0 50 45' }, props),
        React.createElement("g", { transform: 'translate(1 1)' },
            React.createElement("ellipse", { className: 'icon', cx: '10.245', cy: '10.245', rx: '10.245', ry: '10.245', transform: 'translate(13.681)' }),
            React.createElement("path", { className: 'icon', d: 'M40.055 41a16.591 16.591 0 1 0-32.259 0' }),
            React.createElement("ellipse", { className: 'icon', cx: '10.245', cy: '10.245', rx: '10.245', ry: '10.245', transform: 'translate(13.681)' }),
            React.createElement("path", { className: 'icon', d: 'M39.052 27.276a4.352 4.352 0 0 0 2.566-3.855 4.17 4.17 0 0 0 4.167-4.167 3.91 3.91 0 0 0-.043-.612 4.164 4.164 0 0 0-.44-7.345 10.916 10.916 0 0 0-9.955.451M8.677 27.276a4.353 4.353 0 0 1-2.567-3.855 4.171 4.171 0 0 1-4.167-4.167 3.911 3.911 0 0 1 .043-.612 4.169 4.169 0 0 1 .451-7.345 10.915 10.915 0 0 1 9.955.451' }))));
});
var templateObject_1;
//# sourceMappingURL=Death.js.map