"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var Colors_1 = require("../Colors");
var Sizes_1 = require("../Sizes");
var FinalSuccessIcon = styled_components_1.default.svg(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  stroke: ", ";\n  margin-bottom: 50px;\n  .cls-1 {\n    fill: none;\n    stroke: #fff;\n    stroke-miterlimit: 10;\n    stroke-width: 12px;\n  }\n"], ["\n  stroke: ", ";\n  margin-bottom: 50px;\n  .cls-1 {\n    fill: none;\n    stroke: #fff;\n    stroke-miterlimit: 10;\n    stroke-width: 12px;\n  }\n"])), Colors_1.default.white);
exports.default = React.memo(function (_a) {
    var width = _a.width, height = _a.height, color = _a.color, props = __rest(_a, ["width", "height", "color"]);
    return (React.createElement(FinalSuccessIcon, { viewBox: '0 0 198.94 157.685', width: width || Sizes_1.default.s4, height: height || Sizes_1.default.s4 },
        React.createElement("g", { id: 'Check-icon', transform: 'translate(24.058 19.239)' },
            React.createElement("path", { id: 'Check', className: 'cls-1', d: 'M0,84.5l83.139,61.233L190.552,0', transform: 'translate(-20.5 -15.679)' }))));
});
var templateObject_1;
//# sourceMappingURL=FinalSuccess.js.map