"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var Colors_1 = require("../Colors");
var Sizes_1 = require("../Sizes");
var InfoIcon = styled_components_1.default.svg.attrs({
    className: 'info',
})(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  position: absolute;\n  right: 4%;\n  top: 50%;\n  transform: translateY(-50%);\n  fill: none;\n  stroke: ", ";\n  stroke-miterlimit: 10;\n  stroke-width: 1.398px;\n\n  .cls-1 {\n    fill: none;\n    stroke: ", ";\n    stroke-miterlimit: 10;\n    stroke-width: 1.398px\n  }\n"], ["\n  position: absolute;\n  right: 4%;\n  top: 50%;\n  transform: translateY(-50%);\n  fill: none;\n  stroke: ", ";\n  stroke-miterlimit: 10;\n  stroke-width: 1.398px;\n\n  .cls-1 {\n    fill: none;\n    stroke: ", ";\n    stroke-miterlimit: 10;\n    stroke-width: 1.398px\n  }\n"])), Colors_1.default.mongeral, Colors_1.default.mongeral);
exports.default = React.memo(function (_a) {
    var width = _a.width, height = _a.height, children = _a.children;
    return (React.createElement(InfoIcon, { viewBox: '0 0 17.397 17.398', width: width || Sizes_1.default.s3, height: height || Sizes_1.default.s3 },
        children,
        React.createElement("g", { transform: 'translate(8.699 8.699)' },
            React.createElement("g", { transform: 'translate(-8 -8)' },
                React.createElement("path", { d: 'M0 3.782V0', className: 'cls-1', transform: 'translate(8 7.058)' }),
                React.createElement("path", { d: 'M0 .935V0', className: 'cls-1', transform: 'translate(8 5.159)' }),
                React.createElement("circle", { cx: '8', cy: '8', r: '8', className: 'cls-1' })))));
});
var templateObject_1;
//# sourceMappingURL=Info.js.map