"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var Colors_1 = require("../Colors");
var Sizes_1 = require("../Sizes");
var InfoIcon = styled_components_1.default.svg(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  .cls-1 {\n    fill: none;\n    stroke: ", ";\n    stroke-miterlimit: 10;\n    stroke-width: 2px;\n    stroke-linecap:square\n  }\n"], ["\n  .cls-1 {\n    fill: none;\n    stroke: ", ";\n    stroke-miterlimit: 10;\n    stroke-width: 2px;\n    stroke-linecap:square\n  }\n"])), Colors_1.default.codGray);
exports.default = React.memo(function (_a) {
    var width = _a.width, height = _a.height;
    return (React.createElement(InfoIcon, { viewBox: '0 0 5.472 17', width: width || Sizes_1.default.s3, height: height || Sizes_1.default.s3 },
        React.createElement("g", { id: "info-icon", transform: "translate(-12.5)" },
            React.createElement("path", { className: "cls-1", d: "M0 0v7.419", transform: "translate(15.236 7.992)" }),
            React.createElement("path", { className: "cls-1", d: "M3.472 0H0", transform: "translate(13.5 6.983)" }),
            React.createElement("path", { className: "cls-1", d: "M3.472 0H0", transform: "translate(13.5 16)" }),
            React.createElement("circle", { cx: "1.736", cy: "1.736", fill: Colors_1.default.codGray, r: "1.736", transform: "translate(13.5)" }))));
});
var templateObject_1;
//# sourceMappingURL=SecondaryInfo.js.map