"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var Colors_1 = require("../Colors");
var Sizes_1 = require("../Sizes");
var SuccessIcon = styled_components_1.default.svg(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  stroke: ", ";\n"], ["\n  stroke: ", ";\n"])), function (_a) {
    var color = _a.color;
    return color || Colors_1.default.white;
});
exports.default = React.memo(function (_a) {
    var width = _a.width, height = _a.height, props = __rest(_a, ["width", "height"]);
    return (React.createElement(SuccessIcon, __assign({ viewBox: '0 0 25 25', width: width || Sizes_1.default.s4, height: height || Sizes_1.default.s4, fillRule: 'evenodd', clipRule: 'evenodd' }, props),
        React.createElement("path", { d: 'M24 4.685L7.673 22 0 12.946l.761-.648 6.95 8.203L23.272 4l.728.685z' })));
});
var templateObject_1;
//# sourceMappingURL=Success.js.map