"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var Colors_1 = require("../Colors");
var shineRotation = styled_components_1.keyframes(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  0% { transform: scale(1); }\n  50% { transform: scale(0.9); }\n  100% { transform: scale(1); }\n"], ["\n  0% { transform: scale(1); }\n  50% { transform: scale(0.9); }\n  100% { transform: scale(1); }\n"])));
var SummerIcon = styled_components_1.default.svg(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  fill: none;\n\tstroke: ", ";\n\tstroke-miterlimit: 10;\n\tstroke-width: 6px;\n\n  .shine.one, .shine.two {\n    animation-name: ", ";\n    animation-timing-function: linear;\n    animation-iteration-count: infinite;\n    transform-origin: center;\n  }\n\n  .shine.one {\n    animation-duration: 3s;\n  }\n\n  .shine.two {\n    animation-duration: 2s;\n    animation-delay: 0.7s\n  }\n"], ["\n  fill: none;\n\tstroke: ", ";\n\tstroke-miterlimit: 10;\n\tstroke-width: 6px;\n\n  .shine.one, .shine.two {\n    animation-name: ", ";\n    animation-timing-function: linear;\n    animation-iteration-count: infinite;\n    transform-origin: center;\n  }\n\n  .shine.one {\n    animation-duration: 3s;\n  }\n\n  .shine.two {\n    animation-duration: 2s;\n    animation-delay: 0.7s\n  }\n"])), Colors_1.default.support, shineRotation);
exports.default = (function (props) { return (React.createElement(SummerIcon, __assign({ viewBox: '0 0 82 82', xmlns: 'http://www.w3.org/2000/svg' }, props),
    React.createElement("g", { className: 'shine one' },
        React.createElement("line", { x1: '40.84', x2: '40.84', y1: '15.63' }),
        React.createElement("line", { x1: '15.63', y1: '41.16', y2: '41.16' }),
        React.createElement("line", { x1: '41.16', x2: '41.16', y1: '66.37', y2: '82' }),
        React.createElement("line", { x1: '66.37', x2: '82', y1: '40.84', y2: '40.84' })),
    React.createElement("g", { className: 'shine two' },
        React.createElement("line", { x1: '22.95', x2: '11.9', y1: '23.17', y2: '12.12' }),
        React.createElement("line", { x1: '23.17', x2: '12.12', y1: '59.05', y2: '70.1' }),
        React.createElement("line", { x1: '59.05', x2: '70.1', y1: '58.83', y2: '69.88' }),
        React.createElement("line", { x1: '58.83', x2: '69.88', y1: '22.95', y2: '11.9' })),
    React.createElement("circle", { cx: '41', cy: '41', r: '15.7' }))); });
var templateObject_1, templateObject_2;
//# sourceMappingURL=Summer.js.map