/// <reference types="react" />
export { default as Gift } from './GiftBox';
export { default as Dashboard } from './Dashboard';
export { default as Arrow } from './Arrow';
export { default as Success } from './Success';
export { default as Close } from './Close';
export { default as SecondaryArrow } from './SecondaryArrow';
export { default as Pencil } from './Pencil';
declare const _default: {
    Gift: import("react").MemoExoticComponent<({ width, height }: import("./GiftBox").IProps) => JSX.Element>;
    Dashboard: import("react").MemoExoticComponent<({ width, height }: import("./Dashboard").IProps) => JSX.Element>;
    Arrow: import("react").MemoExoticComponent<({ width, height, color, ...props }: import("./Arrow").IProps) => JSX.Element>;
    Success: import("react").MemoExoticComponent<({ width, height, ...props }: import("./Success").IProps) => JSX.Element>;
    Close: import("react").MemoExoticComponent<({ width, height, ...props }: import("./Close").IProps) => JSX.Element>;
    SecondaryArrow: import("react").MemoExoticComponent<({ width, height, color, ...props }: import("./SecondaryArrow").IProps) => JSX.Element>;
    Pencil: import("react").MemoExoticComponent<({ width, height }: import("./Pencil").IProps) => JSX.Element>;
    Box: import("react").MemoExoticComponent<({ width, height }: import("./Box").IProps) => JSX.Element>;
    Info: import("react").MemoExoticComponent<({ width, height, children }: import("./Info").IProps) => JSX.Element>;
    FinalSuccess: import("react").MemoExoticComponent<({ width, height, color, ...props }: import("./FinalSuccess").IProps) => JSX.Element>;
    Eye: ({ onClick }: {
        onClick: (event?: any) => any;
    }) => JSX.Element;
    Trash: import("react").MemoExoticComponent<({ width, height }: import("./Trash").IProps) => JSX.Element>;
    Death: import("react").MemoExoticComponent<({ width, height, color, ...props }: import("./Death").IProps) => JSX.Element>;
    Invalidity: import("react").MemoExoticComponent<({ width, height, color, ...props }: import("./Invalidity").IProps) => JSX.Element>;
    Dit: import("react").MemoExoticComponent<({ width, height, color, ...props }: import("./Dit").IProps) => JSX.Element>;
    Diseases: import("react").MemoExoticComponent<({ width, height, color, ...props }: import("./Diseases").IProps) => JSX.Element>;
    Loading: ({ ...props }: {
        [x: string]: any;
    }) => JSX.Element;
    Winter: (props: {
        css?: string | undefined;
    }) => JSX.Element;
    Autumn: (props: {
        css?: string | undefined;
    }) => JSX.Element;
    Summer: (props: {
        css?: string | undefined;
    }) => JSX.Element;
    Spring: (props: {
        css?: string | undefined;
    }) => JSX.Element;
    SecondaryInfo: import("react").MemoExoticComponent<({ width, height }: import("./SecondaryInfo").IProps) => JSX.Element>;
};
export default _default;
