import * as React from 'react';
export interface IProps {
    feedback?: string | Object;
    placeholder: string;
    type: string;
    isInvalid?: boolean | string;
    isWarning?: boolean | string;
    comment?: string;
    label?: string;
    css?: string | Object;
    passwordType?: boolean;
    onChange?: ({ target }: any) => void | any;
    onBlur?: ({ target }: any) => void | any;
    onFocus?: ({ target }: any) => void | any;
    value?: string | number;
    minLength?: number;
    maxLength?: number;
    name?: string;
    min?: string;
    max?: string;
    disabled?: boolean;
}
interface IState {
    valid?: boolean;
    passwordType?: boolean;
}
export default class Input extends React.PureComponent<IProps, IState> {
    state: {
        passwordType: boolean;
    };
    togglePassword: (passwordType: any) => void;
    renderIcon: (type: string) => JSX.Element | null;
    render(): JSX.Element;
}
export {};
