"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Link_styled_1 = require("./Link.styled");
var LinksIcon_1 = require("./LinksIcon");
var renderChildAndTypeIcon = function (type, children) {
    var mapIconLinks = new Map();
    mapIconLinks
        .set('forward', LinksIcon_1.Forward(children))
        .set('backward', LinksIcon_1.Backward(children))
        .set('download', LinksIcon_1.Download(children))
        .set('arrow-plus', LinksIcon_1.ArrowPlus(children))
        .set('plus', LinksIcon_1.Plus(children));
    return mapIconLinks.get(type) || children;
};
exports.default = (function (_a) {
    var children = _a.children, isType = _a.isType, props = __rest(_a, ["children", "isType"]);
    var restProps = __assign({ isType: isType }, props);
    return (React.createElement(Link_styled_1.default, __assign({}, restProps), renderChildAndTypeIcon(isType, children)));
});
//# sourceMappingURL=Link.js.map