"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var styled_components_1 = require("styled-components");
var Colors_1 = require("../Colors");
var loadingAnimation = styled_components_1.keyframes(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  0% {\n\t  transform: rotate(0deg);\n\t}\n\t100% {\n\t  transform: rotate(360deg);\n\t}\n"], ["\n  0% {\n\t  transform: rotate(0deg);\n\t}\n\t100% {\n\t  transform: rotate(360deg);\n\t}\n"])));
var animation = styled_components_1.css(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  animation: ", " 1.1s infinite linear;\n"], ["\n  animation: ", " 1.1s infinite linear;\n"])), loadingAnimation);
var Loading = styled_components_1.default.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  ", "\n  ", ";\n\n  &:after, & {\n\t\tborder-radius: 50%;\n\t  width: ", ";\n\t  height: ", ";\n  }\n"], ["\n  ",
    "\n  ", ";\n\n  &:after, & {\n\t\tborder-radius: 50%;\n\t  width: ", ";\n\t  height: ", ";\n  }\n"])), function (_a) {
    var noButton = _a.noButton;
    return noButton ? "\n    z-index: 999;\n    border-top: 0.5em solid " + Colors_1.default.mongeral + ";\n    border-right: 0.5em solid " + Colors_1.default.mongeral + ";\n    border-bottom: 0.5em solid " + Colors_1.default.mongeral + ";\n    border-left: 0.5em solid " + Colors_1.default.white + ";\n    margin: 67px auto;\n  " : "\n    z-index: 999;\n    font-size: 5px;\n    position: absolute;\n    top: 50%;\n    left: 50%;\n    margin-top: -7.5px;\n    margin-left: -7.5px;\n    text-indent: -9999em;\n    border-top: 0.5em solid rgba(255, 255, 255, 0.2);\n    border-right: 0.5em solid rgba(255, 255, 255, 0.2);\n    border-bottom: 0.5em solid rgba(255, 255, 255, 0.2);\n    border-left: 0.5em solid #fff;\n    transform: translateZ(0);\n  ";
}, animation, function (_a) {
    var size = _a.size;
    return size ? size : '15px';
}, function (_a) {
    var size = _a.size;
    return size ? size : '15px';
});
exports.default = Loading;
var templateObject_1, templateObject_2, templateObject_3;
//# sourceMappingURL=Loading.js.map