import * as React from 'react';
export interface IProps {
    options?: any;
    label: string;
    onChange: (e?: any) => any;
}
export default class Select extends React.PureComponent<IProps> {
    state: {
        selectedValue: string;
        degree: number;
    };
    renderHTMLOptions: () => any;
    handleSelectChange: ({ currentTarget: { value } }: React.ChangeEvent<HTMLSelectElement>) => void;
    isInvalid: () => boolean;
    render(): JSX.Element;
}
