"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var styled_components_1 = require("styled-components");
var index_1 = require("../index");
var Colors_1 = require("../Colors");
exports.Wrapper = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  position: relative;\n\n  svg {\n    position: absolute;\n    right: 0;\n  }\n"], ["\n  position: relative;\n\n  svg {\n    position: absolute;\n    right: 0;\n  }\n"])));
var bounceUp = styled_components_1.keyframes(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  from { transform: scale3d(1, 1, 1); }\n  50% { transform: scale3d(1.1618, 1.1618, 1.1618); }\n  to { transform: scale3d(1, 1, 1); }\n"], ["\n  from { transform: scale3d(1, 1, 1); }\n  50% { transform: scale3d(1.1618, 1.1618, 1.1618); }\n  to { transform: scale3d(1, 1, 1); }\n"])));
var shake = styled_components_1.keyframes(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  from, to { transform: translate3d(0, 0, 0); }\n  10%, 30%, 50%, 70%, 90% { transform: translate3d(-3px, 0, 0); }\n  20%, 40%, 60%, 80% { transform: translate3d(3px, 0, 0); }\n"], ["\n  from, to { transform: translate3d(0, 0, 0); }\n  10%, 30%, 50%, 70%, 90% { transform: translate3d(-3px, 0, 0); }\n  20%, 40%, 60%, 80% { transform: translate3d(3px, 0, 0); }\n"])));
var bounceUpRule = styled_components_1.css(templateObject_4 || (templateObject_4 = __makeTemplateObject(["", " .4s forwards;"], ["", " .4s forwards;"])), bounceUp);
var shakeRule = function (props) { return styled_components_1.css(templateObject_5 || (templateObject_5 = __makeTemplateObject(["", " 1s forwards;"], ["", " 1s forwards;"])), props.isInvalid && shake); };
var opacityAndTransition = function (opacity, transition) { return "\n  opacity: " + opacity + ";\n  transition: " + transition + ";\n"; };
var activatedLabel = function () { return "\n  top: -16px;\n  color: " + Colors_1.default.mongeral + ";\n  z-index: 1; \n  " + opacityAndTransition(1, '0.3s') + ";\n"; };
exports.SelectStyled = styled_components_1.default.select(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  font-family: ", ";\n  font-weight: 500;\n  color: ", ";\n  width: 100%;\n  box-sizing: border-box;\n  letter-spacing: 1px;\n  border: 0;\n  padding: 4px 0;\n  border-bottom: 1px solid currentColor;\n  background-color: transparent;\n  appearance: none;\n  border-radius: 0;\n  outline: none;\n\n  &:focus {\n\n    & + label {\n      ", "\n      animation: ", ";\n    }\n  }\n"], ["\n  font-family: ", ";\n  font-weight: 500;\n  color: ", ";\n  width: 100%;\n  box-sizing: border-box;\n  letter-spacing: 1px;\n  border: 0;\n  padding: 4px 0;\n  border-bottom: 1px solid currentColor;\n  background-color: transparent;\n  appearance: none;\n  border-radius: 0;\n  outline: none;\n\n  &:focus {\n\n    & + label {\n      ", "\n      animation: ", ";\n    }\n  }\n"])), index_1.TextHelper.fontVariant('medium'), Colors_1.default.codGray, activatedLabel(), bounceUpRule);
exports.Label = styled_components_1.default.label(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  position: absolute;\n  font-size: ", "em;\n  font-family: ", ";\n  font-weight: 500;\n  left: 0;\n  top: -16px;\n  z-index: -1;\n  letter-spacing: 0.5px;\n  ", ";\n  animation: ", ";\n  text-transform: uppercase;\n  opacity: 0;\n\n  ", "\n"], ["\n  position: absolute;\n  font-size: ", "em;\n  font-family: ", ";\n  font-weight: 500;\n  left: 0;\n  top: -16px;\n  z-index: -1;\n  letter-spacing: 0.5px;\n  ", ";\n  animation: ", ";\n  text-transform: uppercase;\n  opacity: 0;\n\n  ", "\n"])), index_1.TextHelper.pxToEm(index_1.Sizes.s2), index_1.TextHelper.fontVariant('medium'), opacityAndTransition(0, 'all .2s ease'), shakeRule, function (_a) {
    var active = _a.active;
    return active && activatedLabel();
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7;
//# sourceMappingURL=Select.styled.js.map