"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var styled_components_1 = require("styled-components");
var Colors_1 = require("../Colors");
var Sizes_1 = require("../Sizes");
var TextHelper_1 = require("../TextHelper");
exports.HeaderTabs = styled_components_1.default.ul(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  position: relative;\n  margin: 0;\n  padding: 0;\n  list-style: none;\n  border-bottom: 1px solid ", ";\n  margin-top: ", "px;\n\n  li {\n    display: inline-block;\n\n    a {\n      cursor: pointer;\n      display: block;\n      text-decoration: none;\n      padding: 16px 25px;\n      font-size: 16px;\n      font-weight: 500;\n      text-transform: uppercase;\n      color: ", ";\n      transition: color 0.15s ease-in-out;\n      font-family: ", ";\n\n      &:hover {\n        color: ", ";\n      }\n    }\n  }\n"], ["\n  position: relative;\n  margin: 0;\n  padding: 0;\n  list-style: none;\n  border-bottom: 1px solid ", ";\n  margin-top: ", "px;\n\n  li {\n    display: inline-block;\n\n    a {\n      cursor: pointer;\n      display: block;\n      text-decoration: none;\n      padding: 16px 25px;\n      font-size: 16px;\n      font-weight: 500;\n      text-transform: uppercase;\n      color: ", ";\n      transition: color 0.15s ease-in-out;\n      font-family: ", ";\n\n      &:hover {\n        color: ", ";\n      }\n    }\n  }\n"])), Colors_1.default.line, Sizes_1.default.s5, Colors_1.default.mongeral, TextHelper_1.default.fontVariant('medium'), Colors_1.default.regalBlue);
exports.Marker = styled_components_1.default.span.attrs({
    className: 'marker'
})(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  position: absolute;\n  transition: all 0.15s ease-in-out 0s;\n  width: ", "px;\n  height: 3px;\n  background: ", ";\n  left: 0;\n  bottom: 0;\n  transform: translateX(", "px);\n"], ["\n  position: absolute;\n  transition: all 0.15s ease-in-out 0s;\n  width: ", "px;\n  height: 3px;\n  background: ", ";\n  left: 0;\n  bottom: 0;\n  transform: translateX(", "px);\n"])), function (_a) {
    var marked = _a.marked;
    return marked.width;
}, Colors_1.default.mongeral, function (_a) {
    var marked = _a.marked;
    return marked.index;
});
var fadeIn = styled_components_1.keyframes(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  from {\n    transform: translateY(15px);\n    opacity: 0;\n  }\n\n  to {\n    transform: translateY(0);\n    opacity: 1;\n  }\n"], ["\n  from {\n    transform: translateY(15px);\n    opacity: 0;\n  }\n\n  to {\n    transform: translateY(0);\n    opacity: 1;\n  }\n"])));
exports.ActiveComponent = styled_components_1.default.div(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  animation: ", " 0.5s linear;\n"], ["\n  animation: ", " 0.5s linear;\n"])), fadeIn);
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
//# sourceMappingURL=Tabs.styled.js.map