import * as React from 'react';
export interface IProps {
    feedback?: string | Object;
    placeholder: string;
    isInvalid?: boolean | string;
    isWarning?: boolean | string;
    comment?: string;
    label?: string;
    css?: string | Object;
    passwordType?: boolean;
    onChange: ({ target }: any) => void | any;
    onBlur?: ({ target }: any) => void | any;
    value?: string | number;
    minLength?: number;
    maxLength?: number;
    name?: string;
    min?: string;
    max?: string;
    disabled?: boolean;
    rows?: number;
}
export default class Textarea extends React.PureComponent<IProps> {
    state: {
        value: string;
        rows: number;
        minRows: number;
    };
    onChange: ({ currentTarget }: React.SyntheticEvent<HTMLTextAreaElement, Event>) => void;
    render(): JSX.Element;
}
