"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var styles_1 = require("../utils/styles");
var Colors_1 = require("../Colors");
var Sizes_1 = require("../Sizes");
var Tooltip = styled_components_1.default.div.attrs({
    className: 'tooltip',
})(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  font-size: ", "px;\n  opacity: 0;\n  background-color: ", ";\n  color: ", ";\n  border-radius: 4px;\n  padding: 10px;\n  position: absolute;\n  z-index: 1;\n  top: 50%;\n  left: 100%;\n  transform: translateY(-50%);\n  transition: all 0.3s ease-in;\n  filter: drop-shadow(0 2px 2px rgb(146, 146, 146));\n  max-height: 80px;\n  width: 100%;\n  z-index: -1;\n  display: none;\n\n  ", "\n\n  &:before {\n    content: '';\n    position: inherit;\n    left: -13px;\n    top: 16px;\n    border-top: 5px solid transparent;\n    border-right: 13px solid white;\n    border-bottom: 7px solid transparent;\n  }\n"], ["\n  font-size: ", "px;\n  opacity: 0;\n  background-color: ", ";\n  color: ", ";\n  border-radius: 4px;\n  padding: 10px;\n  position: absolute;\n  z-index: 1;\n  top: 50%;\n  left: 100%;\n  transform: translateY(-50%);\n  transition: all 0.3s ease-in;\n  filter: drop-shadow(0 2px 2px rgb(146, 146, 146));\n  max-height: 80px;\n  width: 100%;\n  z-index: -1;\n  display: none;\n\n  ", "\n\n  &:before {\n    content: '';\n    position: inherit;\n    left: -13px;\n    top: 16px;\n    border-top: 5px solid transparent;\n    border-right: 13px solid white;\n    border-bottom: 7px solid transparent;\n  }\n"])), Sizes_1.default.s2, Colors_1.default.white, Colors_1.default.codGray, styles_1.styledByMediaQuery("display: block;"));
exports.default = React.memo(function (_a) {
    var children = _a.children;
    return (React.createElement(Tooltip, null, children));
});
var templateObject_1;
//# sourceMappingURL=Tooltip.js.map