import * as React from 'react';
import styled from 'styled-components';

import { IProps } from '../AlertFlag';

import Colors from '../../Colors';

const Wrapper = styled.div`
  border: 1px solid ${Colors.line};
  border-left: 5px solid ${Colors.joy};
  padding: 10px;
`;

export default (props: IProps) => <Wrapper {...props} />