interface Colors {
  mongeral: string;
  regalBlue: string;
}

export default (Colors: Colors) => (svg: string) => `
  background-size: 200% 100%;
  background-position: right bottom;
  background-image: linear-gradient(to left, ${Colors.mongeral} 50%, ${Colors.regalBlue} 0%);
  ${svg};

  &:hover {
    background-position: left bottom;
    .link-arrow-elements { transform: translateX(5px); }
  }
`;
