interface Colors {
  line: string;
  white: string;
}

export default (Colors: Colors) => `
  min-width: 175px;
  padding: 25px;
  color: ${Colors.white};
  border-radius: 50px;
  transition: 0.3s all;

  &:disabled {
    cursor: default;
    background-color: ${Colors.line};
    background-image: linear-gradient(to left, ${Colors.line} 50%, ${Colors.line} 0%);
  }
`;
