import * as React from 'react';
import Icons from '../../Icons';

const WinterIcon = () => <Icons.Winter css={`width: 60px`} />;
const AutumnIcon = () => <Icons.Autumn css={`width: 60px`} />;
const SummerIcon = () => <Icons.Summer css={`width: 60px`} />;
const SpringIcon = () => <Icons.Spring css={`width: 60px`} />

export const SEASONS = [
  {
    id: 0,
    name: 'Outono',
    includeMonths: [2, 3, 4],
    icon: <AutumnIcon />
  },
  {
    id: 1,
    name: 'Inverno',
    includeMonths: [5, 6, 7],
    icon: <WinterIcon  />
  },
  {
    id: 2,
    name: 'Primaveira',
    includeMonths: [8, 9, 10],
    icon: <SpringIcon />
  },
  {
    id: 3,
    name: 'Verão',
    includeMonths: [11, 0, 1],
    icon: <SummerIcon />
  },
];