import * as React from 'react';
import { storiesOf } from '@storybook/react';
import { Button } from '../src';

storiesOf('Button', module)
  .add('with text', () => (
    <Button isType='confirm' type='button'>Botão 1</Button>
  ))
  .add('with loading', () => (
    <Button isType='confirm' loading type='button'>Botão 1</Button>
  ))
  .add('with isType forward', () => (
    <Button isType='forward' type='button'>Botão 1</Button>
  ))
  .add('with isType backward', () => (
    <Button isType='backward' type='button'>Botão backward</Button>
  ))
  .add('with isType readmore', () => (
    <Button isType='readmore' type='button'>Botão leia mais</Button>
  ))
  .add('with isType confirm', () => (
    <Button isType='confirm' type='button'>Botão confirmar</Button>
  ))
  .add('with isType outline', () => (
    <Button isType='outline' type='button'>Botão outline</Button>
  ))
  .add('with isType blank', () => (
    <Button isType='blank' type='button'>Botão blank</Button>
  )); 