import * as React from 'react';
import { storiesOf } from '@storybook/react';
import styled from 'styled-components';

import { DatePicker, GlobalStyle } from '../src';

const Wrapper = styled.div`margin: 50px;`;

storiesOf('DatePicker', module)
  .add('Default', () => (
    <React.Fragment>
      <GlobalStyle />
      <Wrapper>
        <DatePicker />
      </Wrapper>
    </React.Fragment>
  ));