import * as React from 'react';
import { storiesOf } from '@storybook/react';
import { FastSelection, GlobalStyle } from '../src';

storiesOf('FastSelection', module)
  .add('Default', () => (
    <React.Fragment>
      <GlobalStyle />
      <FastSelection
        items={[
          {id: 1, value: 'V', label: 'um'},
          {id: 2, value: 'V', label: 'dois'},
          {id: 3, value: 'V', label: 'tres'},
          {id: 4, value: 'V', label: 'quatro'},
        ]}
        selecteds={[{}]}
        onChange={() => null}
    />
    </React.Fragment>
  ))
  .add('Single Selections', () => (
    <React.Fragment>
      <GlobalStyle />
      <FastSelection
        single
        items={[
          {id: 1, value: 'V', label: 'um'},
          {id: 2, value: 'V', label: 'dois'},
          {id: 3, value: 'V', label: 'tres'},
          {id: 4, value: 'V', label: 'quatro'},
        ]}
        selecteds={[{}]}
        onChange={() => null}
    />
    </React.Fragment>
  )); 