import * as React from 'react';
import { storiesOf } from '@storybook/react';
import { Radio } from '../src';

storiesOf('Radios', module)
  .add('radio default', () => (
    <React.Fragment>
      <Radio label='cartão de crédito' name='pagamento' id='cartao' />
      <Radio label='cartão de debito' name='pagamento' id='debito' />
    </React.Fragment>
  ))
  .add('radio classic', () => (
    <React.Fragment>
      <Radio label='Cartão de Crédito' name='pagamento' id='cartao' isClassic />
      <Radio label='cartão de debito' name='pagamento' id='debito' isClassic />
    </React.Fragment>
  )); 