import * as React from 'react';
import styled from 'styled-components';
import { storiesOf } from '@storybook/react';
import { Select } from '../src';

const InputWrapper = styled.div`margin: 100px 50px;`;

storiesOf('Select', module)
  .add('select default', () => (
    <InputWrapper>
      <Select
        options={[
          { id: 0, label: 'Flamengo', value: 'FLA' },
          { id: 1, label: 'Vasco', value: 'VAS' },
          { id: 2, label: 'Fluminense', value: 'FLU' },
          { id: 3, label: 'Botafogo', value: 'BOT' },
          { id: 4, label: 'Corinthias', value: 'COR' },
          { id: 5, label: 'São Paulo', value: 'SAO' },
        ]}
        onChange={console.log}
        label='Selecione uma label'
      />
    </InputWrapper>
  ));